UpdateNamenodeRegistrationRequest (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.protocol, class: UpdateNamenodeRegistrationRequest

Package org.apache.hadoop.hdfs.server.federation.store.protocol

# Class UpdateNamenodeRegistrationRequest

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.protocol.UpdateNamenodeRegistrationRequest

Direct Known Subclasses:
  `UpdateNamenodeRegistrationRequestPBImpl`

public abstract class UpdateNamenodeRegistrationRequest extends Object
API request for overriding an existing namenode registration in the state store.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNamenodeRegistrationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getNamenodeId()`
  `abstract String`
  `getNameserviceId()`
  `abstract FederationNamenodeServiceState`
  `getState()`
  `static UpdateNamenodeRegistrationRequest`
  `newInstance()`
  `static UpdateNamenodeRegistrationRequest`
  `newInstance(String nameserviceId, String namenodeId, FederationNamenodeServiceState state)`
  `abstract void`
  `setNamenodeId(String nnId)`
  `abstract void`
  `setNameserviceId(String nsId)`
  `abstract void`
  `setState(FederationNamenodeServiceState state)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateNamenodeRegistrationRequest

    public UpdateNamenodeRegistrationRequest()

- ## Method Details

  - ### newInstance

    public static UpdateNamenodeRegistrationRequest newInstance() throws IOException
    Throws:
      `IOException`

  - ### newInstance

    public static UpdateNamenodeRegistrationRequest newInstance(String nameserviceId, String namenodeId, FederationNamenodeServiceState state) throws IOException
    Throws:
      `IOException`

  - ### getNameserviceId

    @Private @Unstable public abstract String getNameserviceId()

  - ### getNamenodeId

    @Private @Unstable public abstract String getNamenodeId()

  - ### getState

    @Private @Unstable public abstract FederationNamenodeServiceState getState()

  - ### setNameserviceId

    @Private @Unstable public abstract void setNameserviceId(String nsId)

  - ### setNamenodeId

    @Private @Unstable public abstract void setNamenodeId(String nnId)

  - ### setState

    @Private @Unstable public abstract void setState(FederationNamenodeServiceState state)